Issue 58625 - "Odd/Even (left/right) pages" and "Current Page" options in Print dialog
Summary: "Odd/Even (left/right) pages" and "Current Page" options in Print dialog
Status: CLOSED DUPLICATE of issue 41118
Alias: None
Product: Writer
Classification: Application
Component: printing (show other issues)
Version: OOo 2.0
Hardware: PC Windows XP
: P5 (lowest) Trivial (vote)
Target Milestone: ---
Assignee: requirements
QA Contact: issues@sw
URL: http://http://www.oooforum.org/forum/...
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-11-29 15:15 UTC by hierogrammate
Modified: 2008-05-17 23:09 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Screenshot: MS Word Print dialog (14.40 KB, image/jpeg)
2005-11-29 15:38 UTC, hierogrammate
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description hierogrammate 2005-11-29 15:15:01 UTC
AS stated in the forum in the link above, one can go to File > Print >
Options... > Pages to then select/deselect whether one wants to print either
"Left pages" or "Right pages" (or both) as required. Nevertheless, one should
only go to the trouble of entering the Options dialog for, well, options one
likes to have active all the time. What about those of us who want to do that
odd/even printing "on the fly"?

To give a more direct example, MS Word has a drop-down selection in the Print
dialog, under the "Print What" drop down, called simply "Print." There you are
given the options of printing "All pages in range," "Odd Pages," and "Even
Pages," so one can select them on the fly without committing the program to do
that every time, as selecting that in "File>Print>Options" might imply.

Maybe even going a step further, giving one the option of a clickable toolbar
button to immediately print either even or odd pages (if the current page is an
even page, automatically printing all odd pages only... etc.)

Having a "Print Current Page" on the fly option would be great too (maybe an
optional Toolbar button for it as well, or a key combination). Its not that I
want OOo to be an exact replica of Word... but "little" touches like these will
help me wean out of MS Word even better.
Comment 1 hierogrammate 2005-11-29 15:27:46 UTC
Ack, typo above.. I meant to say: "if the current page is an
even page, automatically printing all EVEN pages only... etc."  Sorry...
Comment 2 hierogrammate 2005-11-29 15:38:37 UTC
Created attachment 31904 [details]
Screenshot: MS Word Print dialog
Comment 3 lars 2005-12-04 14:06:15 UTC
Whether you click "Options" or "Print What" is nearly the same; nevertheless, 
I reassign this issue to requirements (it's their job to evaluate users wishes)
Comment 4 hierogrammate 2005-12-04 16:07:58 UTC
Thanks for replying :).

Yeah, I know that what I am asking is just as redundant-looking as in Word...
it's a "lazy" feature (and I admit being pretty lazy myself) to avoid having to
dig deeper in the menu to achieve some effect. 
:) 

Its just that I've always seen "Options" as something that one should "set and
forget about it," if I may be allowed to borrow a line from Ron Poppeil's silly
infomertials. If I only print odd/even pages 2 or 3 times a week, it would be
nicer to have a readily available menu selection for those particular moments. 

Same thing with having a clickable "Print Current page" (that prints the page
where the cursor currently is) instead of having to enter the particular page
number every time. 
Comment 5 dridgway 2005-12-15 19:45:35 UTC
An RFE for odd/even naming is open; issue 41118. Additionally, you also want the
option moved into the main print dialog. Since issue 54517 seemed to have the
same request and was also considered a 41118 dupe, I'm closing this as
duplicate. I'll add a note there to make sure the request to move the option is
clear.

As for Print Current Page, the selected pages option defaults to just the
current page. Please open a new issue if you want more than this.

*** This issue has been marked as a duplicate of 41118 ***
Comment 6 hierogrammate 2005-12-15 20:50:56 UTC
Thanks for taking the time to read and consider the issue I posted. I really
hate to post duplicate requests, but I didn't found out about issue 41118 until
now. I also appreciate your addded comments on said issue.

About the "Print Current Page" reques, I have to admit it wasn't obvious to me
that the "Print Range" option defaults to the current page :-P. Maybe if I had
been using Writer more often I would have caught onto that.  Hmm... I will
probably open a new issue regarding that... if not for an in-your-face (although
admittedly redundant) "Print Current Page" radio button selection, at least some
new entry in Help (or addition to the Print section in Help). I couldn't find
any reference to that in the Help.
Comment 7 ace_dent 2008-05-17 21:08:01 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 8 ace_dent 2008-05-17 23:09:54 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew